import { MatLegacyDialog as MatDialog } from "@angular/material/legacy-dialog";
import { Crud } from "@smallstack/api-shared";
import { AxiosApiClient } from "@smallstack/axios-api-client";
import { FrontendSchemaService, FrontendSmallstackType, IFrontendTypeRegistry, OpenEditorOptions, RouterUtilService, UrlResolverService } from "@smallstack/common-components";
import { SmallstackTypeRegistry, SmallstackTypeSchema } from "@smallstack/typesystem";
import { CompoundWidgetStore } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class FrontendTypeRegistry extends SmallstackTypeRegistry<FrontendSmallstackType> implements IFrontendTypeRegistry {
    private schemaService;
    private matDialog;
    private routerUtilService;
    private urlResolverService;
    private axiosApiClient;
    private compoundWidgetStore;
    private storeRegistry;
    constructor(schemaService: FrontendSchemaService, matDialog: MatDialog, routerUtilService: RouterUtilService, urlResolverService: UrlResolverService, axiosApiClient: AxiosApiClient, compoundWidgetStore: CompoundWidgetStore);
    getCrud(typePath: string): Crud<FrontendSmallstackType, FrontendSmallstackType>;
    getSchema(typePath: string): Promise<SmallstackTypeSchema>;
    /** Opens the related editor and returns the edited/created model */
    openEditor(typePath: string, model?: any, options?: OpenEditorOptions): Promise<any>;
    openDetail(type: string | FrontendSmallstackType, model: any, options?: {
        asPopup?: boolean;
        context?: any;
    }): Promise<any>;
    createUrl(type: FrontendSmallstackType, contentFrameOnly: boolean, context?: any): Promise<string>;
    loadTypes(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrontendTypeRegistry, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FrontendTypeRegistry>;
}
